Name: libcommoncpp2
Version: 1.2.5
Release: alt1

Summary: "Common C++ v2 " - A GNU package for creating portable C++ programs

Group: Development/C++
Url: http://cplusplus.sourceforge.net/

#Source: ftp://www.voxilla.org/pub/ape/commonc++-%version.tar.gz
Source: ftp://ftp.gnu.org/gnu/commonc++/commoncpp2-%version.tar.gz

Patch: commoncpp2-am-patch1
#Patch1: libxml2-patch

Prefix: %prefix
#Obsoletes: APE
License: GPL

#% undefine __libtoolize


#% set_ libtool _version 1.4 

# Automatically added by buildreq on Fri Nov 16 2001
BuildRequires: gcc-c++  libstdc++-devel  zlib-devel libxml2-devel doxygen

Requires: zlib libxml2

%description
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets.  Common C++ also offers
individual frameworks generally useful to developing portable C++
applications including a object persistance engine, math libraries,
threading, sockets, etc.  Common C++ is small, and highly portable.
Common C++ will support most Unix operating systems as well
as Win32, in addition to GNU/Linux.

%package devel
Summary: Common C++ devel files
Group: Development/C
Requires: %name = %version-%release
Requires: libstdc++-devel zlib-devel libxml2-devel gcc-c++

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name = %version-%release

%package doc
Summary: Documentation for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel
Common C++ devel files

%description devel-static
Common C++ devel static files

%description doc
Documentation for %name

%prep
%setup -q -n commoncpp2-%version
%patch -p1
#%patch1 -p1
#automake Makefile

%build
%configure
%make prefix=$RPM_BUILD_ROOT

%install
export PATH=$PATH:/sbin
#mkdir -p $RPM_BUILD_ROOT/%_mandir/man3

export LD_LIBRARY_PATH=%buildroot/%_libdir

%makeinstall
#make install 

#%makeinstall install-man
#%makeinstall -C doc doxy


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_datadir/aclocal/*
%_includedir/*

%files devel-static
%_libdir/*.a

%files doc
%doc doc
%_infodir/commoncpp2.*
#%_mandir/man?/*

%changelog
* Mon Jan 17 2005 Gor <vg@altlinux.ru> 1.2.5-alt1
- new version
- move to gcc-3.4 

* Wed Feb 25 2004 Gor <vg@altlinux.ru> 1.1.0-alt2
- spec cleanups about infodir

* Thu Feb 19 2004 Gor <vg@altlinux.ru> 1.1.0-alt1
- new version , url fixed

* Tue Dec 30 2003 Gor <vg@altlinux.ru> 1.0.13-alt4
- gcc3.3 fix

* Wed Dec 24 2003 Gor <vg@altlinux.ru> 1.0.13-alt3
- small build fix

* Mon Sep 08 2003 Gor <vg@altlinux.ru> 1.0.13-alt2
- small build fix

* Fri Aug 29 2003 Gor <vg@altlinux.ru> 1.0.13-alt1
- new version

* Thu Feb 20 2003 Gor <vg@altlinux.ru> 1.0.8-alt2
- missing dep to libxml2 added

* Tue Feb 18 2003 Gor <vg@altlinux.ru> 1.0.8-alt1
- new version

* Wed Nov 20 2002 Gor <vg@altlinux.ru> 1.0.6-alt1
- new version

* Thu Oct 17 2002 Gor <vg@altlinux.ru> 1.0.5-alt1
- new version

* Tue Sep 3 2002 Gor <vg@altlinux.ru> 1.0.1-alt0.1
- new version
- built with & require g++3.2

* Mon Aug 27 2002 Gor <vg@altlinux.ru> 1.0.0-alt0.2
- .spec cleanups

* Mon Aug 26 2002 Gor <vg@altlinux.ru> 1.0.0-alt0.1
- New version

* Tue Jun 11 2002 Gor <gor@mail.od.ua> 0.99.4-alt0.2
- initial build of V2
- manpages moved to doc package

